#!/bin/sh

set -x
set -e

# skipping hack
if [ $# -lt 1 ]; then

    cd ~/jool-4.0.1
    make
    sudo make install
fi

sudo /etc/init.d/tayga stop
sudo modprobe -r jool_siit
sudo iptables -t mangle -F
sudo ip6tables -t mangle -F


sudo sysctl -w net.ipv4.conf.all.forwarding=1
sudo sysctl -w net.ipv6.conf.all.forwarding=1
sudo modprobe jool_siit
sudo jool_siit instance add example --iptables

sudo jool_siit -i example eamt add 2001:db8:42::/120 10.0.1.0/24
sudo jool_siit -i example eamt add 2001:db8:23::/120 10.0.0.0/24

sudo ip6tables -t mangle -A PREROUTING -s 2001:db8:42::/120 -d 2001:db8:23::/120 -j JOOL_SIIT --instance example
sudo iptables  -t mangle -A PREROUTING -s 10.0.0.0/24 -d 10.0.1.0/24 -j JOOL_SIIT --instance example

sudo ip addr add 2001:db8:42::77/64 dev eth2
sudo ip link set eth2 up

sudo ip addr add 10.0.0.77/24 dev eth1
sudo ip l s eth1 up
